## org.hibernate.envers.query.property
Interface PropertyNameGetter

All Known Implementing Classes:
  EntityPropertyName, ModifiedFlagPropertyName, OriginalIdPropertyName, RevisionNumberPropertyName, RevisionPropertyPropertyName, RevisionTypePropertyName

    public interface PropertyNameGetter

Provides a function to get the name of a property, which is used in a query, to apply some restrictions on it.

Method Summary
`String` `get(AuditConfiguration auditCfg)`

Method Detail

### get

    String get(AuditConfiguration auditCfg)

  Parameters:
    `auditCfg` - Audit configuration.
  Returns:
    Name of the property, to be used in a query.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.